Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# PerceptInfo Struct Reference

`#include <GT2005Types.h>`

Collaboration diagram for PerceptInfo:

[legend]
List of all members.

## Public Attributes
Vector2< int > | position
double | direction
double | validity
colorClass | color
double | gradient
Vector2< int > | minBounding
Vector2< int > | maxBounding
Vector2< int > | bottomLine
int | count
unsigned int | flags
unsigned int | lines
Vector2< int > | position
Vector2< int > | minBounding
Vector2< int > | maxBounding
Vector2< int > | bottomLine

## Member Data Documentation

Vector2<int> PerceptInfo::position

| Definition at line 33 of file GT2005Types.h. Referenced by VLCRobotSpecialist::addPercept(), GT2005RobotSpecialist::addPercept(), VLCRobotSpecialist::generatePercept(), and GT2005RobotSpecialist::generatePercept().

double PerceptInfo::direction

| Definition at line 34 of file VLCTypes.h. Referenced by VLCRobotSpecialist::addPercept(), GT2005RobotSpecialist::addPercept(), VLCRobotSpecialist::generatePercept(), and GT2005RobotSpecialist::generatePercept().

double PerceptInfo::validity

| Definition at line 35 of file VLCTypes.h. Referenced by VLCRobotSpecialist::addPercept(), GT2005RobotSpecialist::addPercept(), VLCRobotSpecialist::generatePercept(), and GT2005RobotSpecialist::generatePercept().

colorClass PerceptInfo::color

| Definition at line 37 of file VLCTypes.h. Referenced by VLCRobotSpecialist::addPercept(), GT2005RobotSpecialist::addPercept(), VLCRobotSpecialist::generatePercept(), and GT2005RobotSpecialist::generatePercept().

double PerceptInfo::gradient

| Definition at line 39 of file VLCTypes.h. Referenced by VLCRobotSpecialist::addPercept(), and GT2005RobotSpecialist::addPercept().

Vector2<int> PerceptInfo::minBounding

| Definition at line 41 of file GT2005Types.h. Referenced by VLCRobotSpecialist::addPercept(), GT2005RobotSpecialist::addPercept(), VLCRobotSpecialist::generatePercept(), and GT2005RobotSpecialist::generatePercept().

Vector2<int> PerceptInfo::maxBounding

| Definition at line 42 of file GT2005Types.h. Referenced by VLCRobotSpecialist::addPercept(), GT2005RobotSpecialist::addPercept(), VLCRobotSpecialist::generatePercept(), and GT2005RobotSpecialist::generatePercept().

Vector2<int> PerceptInfo::bottomLine

| Definition at line 43 of file GT2005Types.h. Referenced by VLCRobotSpecialist::addPercept(), GT2005RobotSpecialist::addPercept(), VLCRobotSpecialist::generatePercept(), and GT2005RobotSpecialist::generatePercept().

int PerceptInfo::count

| Definition at line 45 of file VLCTypes.h. Referenced by VLCRobotSpecialist::addPercept(), GT2005RobotSpecialist::addPercept(), VLCRobotSpecialist::generatePercept(), and GT2005RobotSpecialist::generatePercept().

unsigned int PerceptInfo::flags

| Definition at line 47 of file VLCTypes.h. Referenced by VLCRobotSpecialist::addPercept(), GT2005RobotSpecialist::addPercept(), VLCRobotSpecialist::generatePercept(), and GT2005RobotSpecialist::generatePercept().

unsigned int PerceptInfo::lines

| Definition at line 48 of file VLCTypes.h. Referenced by VLCRobotSpecialist::addPercept(), GT2005RobotSpecialist::addPercept(), VLCRobotSpecialist::generatePercept(), and GT2005RobotSpecialist::generatePercept().

Vector2<int> PerceptInfo::position

| Definition at line 33 of file VLCTypes.h.

Vector2<int> PerceptInfo::minBounding

| Definition at line 41 of file VLCTypes.h.

Vector2<int> PerceptInfo::maxBounding

| Definition at line 42 of file VLCTypes.h.

Vector2<int> PerceptInfo::bottomLine

| Definition at line 43 of file VLCTypes.h.

The documentation for this struct was generated from the following files:

- Modules/ImageProcessor/GT2005ImageProcessor/GT2005Types.h
- Modules/ImageProcessor/VLCImageProcessor/VLCTypes.h